package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 课程查询结果
 * @Author: CaoZixuan
 * @Date: 2021-08-04
 */
public class BasicCourseResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程id")
    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程编码")
    private String courseCode;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "所属教研室id")
    private Long teachingRoomId;

    @ApiModelProperty(value = "所属教研室名称")
    private String teachingRoomName;

    @JsonIgnore
    @ApiModelProperty(value = "班级主键集合")
    private String clazzIds;

    @ApiModelProperty(value = "班级信息集合")
    private List<ClazzDatasourceResult> clazzList;

    @ApiModelProperty(value = "是否被逻辑删除")
    private Boolean enable;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getTeachingRoomId() {
        return teachingRoomId;
    }

    public void setTeachingRoomId(Long teachingRoomId) {
        this.teachingRoomId = teachingRoomId;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public List<ClazzDatasourceResult> getClazzList() {
        return clazzList;
    }

    public void setClazzList(List<ClazzDatasourceResult> clazzList) {
        this.clazzList = clazzList;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getClazzIds() {
        return clazzIds;
    }

    public void setClazzIds(String clazzIds) {
        this.clazzIds = clazzIds;
    }
}
